@AC_DEFUN(DV_HAVE_PUBSYNC,[
AC_MSG_CHECKING([ios::streambuf::pubsync or ios::streambuf::sync])
DV_PUBSYNC=""

AC_LANG_PUSH(C++)
if test -z "$DV_PUBSYNC"; then
  AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[#include <iostream>]], [[
    std::cin.rdbuf()->pubsync();
    ]])],[DV_PUBSYNC="pubsync"],[])
fi

if test -z "$DV_PUBSYNC"; then
  AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[#include <iostream>]], [[
    std::cin.rdbuf()->sync();
    ]])],[DV_PUBSYNC="sync"],[])
fi
AC_LANG_POP(C++)

if test -n "$DV_PUBSYNC"; then
  AC_MSG_RESULT($DV_PUBSYNC)
fi

if test -z "$DV_PUBSYNC"; then
  AC_MSG_ERROR([neither cin.rdbuf()->pubsync() nor cin.rdbuf()->sync() work])
fi

AC_DEFINE_UNQUOTED(STREAMBUF_PUBSYNC,[$DV_PUBSYNC],[streambuf::pubsync substitute])
])
