// $Id: test-cgi-env.C,v 1.2 2002/10/18 19:08:59 dvermeir Exp $

#include <fstream>
#include <dvcgi/cgi.h>
#include <dvutil/props.h>

// Test program for Dv::Cgi class. It assumes a file field
// ``myfile'' in the corresponding form.

using namespace std;
using namespace Dv::Cgi;

int
main(int,char**) {

try {
  Cgi	cgi("test-cgi-env");

  cgi.log() << "cgi.env():" << endl
            << cgi.env() << endl;
  cgi.header().content_type("text/plain");
  cgi << cgi.env() << endl;

  return 0;
  }
catch (exception& e) {
  cerr << e.what() << endl;
  return 1;
  }
}
