// $Id: cgidata.C,v 1.8 2002/10/18 19:08:59 dvermeir Exp $
#include <iostream>
#include <stdlib.h> // getenv()

#include "cgidata.h"


using namespace std;

namespace Dv { namespace Cgi {

void
cgidata(string& data) throw (CgiError) {
// get REQUEST_METHOD
char* pc = getenv("REQUEST_METHOD");
if (pc==0) throw CgiError("cgiprops no request method");
string method(pc);
if (method=="POST") {
  // POST
  pc = getenv("CONTENT_LENGTH");
  if (pc==0) throw CgiError("cgiprops POST but no CONTENT_LENGTH");
  int size = atoi(pc);
  if (size==0) throw CgiError("cgiprops POST but CONTENT_LENGTH == 0");
  // read POSTed data
  data.resize(size);
  cin.read(const_cast<char*>(data.data()), size);
  }
else if (method=="GET") {
  char* q = getenv("QUERY_STRING");
  if (q==0) throw CgiError("cgiprops GET but no QUERY_STRING");
  data = q;
  }
else
  throw CgiError("cgiprops bad REQUEST_METHOD: "+string(pc));
}

}}
