// $Id: cookieprops.C,v 1.3 2002/10/18 19:08:59 dvermeir Exp $

#include <stdlib.h> // getenv

#include "cookieprops.h"

namespace Dv { namespace Cgi {

using namespace std;
using Dv::Util::Props;

Props&
cookieprops(Props& props) throw () {
const char* env_cookies = getenv("HTTP_COOKIE");
string	cookies_string(env_cookies?env_cookies:"");
if (cookies_string.size()==0)
  return props;

const char *p(cookies_string.c_str());
const char *q;
while (*p) { // parse [ name=value; ]..
  // p points before name=value pair
  while (isspace(*p))
    ++p;
  q = p; // leave p to point to start of name
  // get name
  while ((*q)&&(*q!='='))
    ++q;
  if (!*q) { // apparently just name without value
    p = q; // will stop while loop
    break;
    }
  string  name(p,q-p); // name starts at p, runs to q not included

  // get value
  p = ++q; // p points to start of value
  while ((*q)&&(*q!=';'))
    ++q;
  string  value(p,q-p);
  props.add(name,value);
  if (*q==';')
    p = ++q;
  }
return props;
}

}}
